PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
plask::optical::effective::EffectiveFrequencyCyl::MatrixR Struct Reference

`#include <solvers/optical/effective/efm.hpp>`

Collaboration diagram for plask::optical::effective::EffectiveFrequencyCyl::MatrixR:
[legend]

## Public Member Functions
| MatrixR (dcomplex jj, dcomplex jh, dcomplex hj, dcomplex hh)
MatrixR | operator* (dcomplex c)
MatrixR | operator/ (dcomplex d)
MatrixR & | operator*= (dcomplex c)
MatrixR & | operator/= (dcomplex d)
FieldR | operator* (const FieldR &v)
MatrixR | operator* (const MatrixR &o)
FieldR | solve (const FieldR &v)
MatrixR | solve (const MatrixR &o)

## Static Public Member Functions
static MatrixR | eye ()
static MatrixR | diag (dcomplex j, dcomplex h)

## Public Attributes
dcomplex | JJ
dcomplex | JH
dcomplex | HJ
dcomplex | HH

## Friends
MatrixR | operator* (dcomplex c, const MatrixR &M)

## Detailed Description

Definition at line 82 of file efm.hpp.

## Constructor & Destructor Documentation

## ◆ MatrixR()

plask::optical::effective::EffectiveFrequencyCyl::MatrixR::MatrixR | ( | dcomplex | jj,
|  | dcomplex | jh,
|  | dcomplex | hj,
|  | dcomplex | hh
| ) |  |
| inline

Definition at line 84 of file efm.hpp.

## Member Function Documentation

## ◆ diag()

static MatrixR plask::optical::effective::EffectiveFrequencyCyl::MatrixR::diag | ( | dcomplex | j,
|  | dcomplex | h
| ) |  |
| inline static

Definition at line 86 of file efm.hpp.

## ◆ eye()

static MatrixR plask::optical::effective::EffectiveFrequencyCyl::MatrixR::eye | ( |  | ) |
| inline static

Definition at line 85 of file efm.hpp.

## ◆ operator*() [1/3]

FieldR plask::optical::effective::EffectiveFrequencyCyl::MatrixR::operator* | ( | const FieldR & | v | ) |
| inline

Definition at line 108 of file efm.hpp.

## ◆ operator*() [2/3]

MatrixR plask::optical::effective::EffectiveFrequencyCyl::MatrixR::operator* | ( | const MatrixR & | o | ) |
| inline

Definition at line 109 of file efm.hpp.

## ◆ operator*() [3/3]

MatrixR plask::optical::effective::EffectiveFrequencyCyl::MatrixR::operator* | ( | dcomplex | c | ) |
| inline

Definition at line 87 of file efm.hpp.

## ◆ operator*=()

MatrixR & plask::optical::effective::EffectiveFrequencyCyl::MatrixR::operator*= | ( | dcomplex | c | ) |
| inline

Definition at line 93 of file efm.hpp.

## ◆ operator/()

MatrixR plask::optical::effective::EffectiveFrequencyCyl::MatrixR::operator/ | ( | dcomplex | d | ) |
| inline

Definition at line 89 of file efm.hpp.

## ◆ operator/=()

MatrixR & plask::optical::effective::EffectiveFrequencyCyl::MatrixR::operator/= | ( | dcomplex | d | ) |
| inline

Definition at line 100 of file efm.hpp.

## ◆ solve() [1/2]

FieldR plask::optical::effective::EffectiveFrequencyCyl::MatrixR::solve | ( | const FieldR & | v | ) |
| inline

Definition at line 112 of file efm.hpp.

## ◆ solve() [2/2]

MatrixR plask::optical::effective::EffectiveFrequencyCyl::MatrixR::solve | ( | const MatrixR & | o | ) |
| inline

Definition at line 113 of file efm.hpp.

## Friends And Related Symbol Documentation

## ◆ operator*

MatrixR operator* | ( | dcomplex | c,
|  | const MatrixR & | M
| ) |  |
| friend

Definition at line 88 of file efm.hpp.

## Member Data Documentation

## ◆ HH

dcomplex plask::optical::effective::EffectiveFrequencyCyl::MatrixR::HH

Definition at line 83 of file efm.hpp.

## ◆ HJ

dcomplex plask::optical::effective::EffectiveFrequencyCyl::MatrixR::HJ

Definition at line 83 of file efm.hpp.

## ◆ JH

dcomplex plask::optical::effective::EffectiveFrequencyCyl::MatrixR::JH

Definition at line 83 of file efm.hpp.

## ◆ JJ

dcomplex plask::optical::effective::EffectiveFrequencyCyl::MatrixR::JJ

Definition at line 83 of file efm.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/effective/efm.hpp